<?php
/**
 * Gestion du formulaire de configuration du plugin Subdivisions Géographiques
 *
 * @plugin     Subdivisions Géographiques
 * @copyright  2020
 * @author     Vincent CALLIES
 * @licence    GPL 3
 * @package    SPIP\Subdivisions\Formulaires
 */


if (!defined('_ECRIRE_INC_VERSION')) return;
 

/**
 * Description des saisies du formulaire de configuration
 *
 * @link : https://contrib.spip.net/Formulaire-de-configuration-avec-le-plugin-Saisies
 *
 * @return array
 *     Description des saisies
 */
function formulaires_configurer_subdivisions_saisies_dist(){
	// $saisies est un tableau décrivant les saisies à afficher dans le formulaire de configuration
	$saisies = array(
		array(
			'saisie' => 'case',
			'options' => array(
				'nom' => 'centre_de_donnees',
				'label_case' => _T('subdivision:config_geo_data_center'),
				'explication' => _T('subdivision:config_geo_data_center_explication'),
				'conteneur_class' => 'pleine_largeur'
			)
		),
		array(
			'saisie' => 'explication',
			'options' => array (
				'afficher_si' => '@plugin:gis@ && !@plugin:gisgeom@',
				'nom' => 'geo_data_center_expl1',
				'texte' => _T('subdivision:config_geo_data_center_gisgeom'),
				'conteneur_class' => 'pleine_largeur'
			)
		)
		,
		array(
			'saisie' => 'explication',
			'options' => array (
				'afficher_si' => '@plugin:gis@ && @plugin:gisgeom@ && !@plugin:cartes_choroplethes@',
				'nom' => 'geo_data_center_expl2',
				'texte' => _T('subdivision:config_geo_data_center_cartes_choroplethes'),
				'conteneur_class' => 'pleine_largeur'
			)
		),
		array(
			'saisie' => 'explication',
			'options' => array (
				'afficher_si' => '!@plugin:gis@',
				'nom' => 'geo_data_center_expl3',
				'texte' => _T('subdivision:config_geo_data_center_tout'),
				'conteneur_class' => 'pleine_largeur'
			)
		),
		array(
			'saisie' => 'choisir_objets',
			'options' => array (
				'nom' => 'association_subdivision_objets',
				'label' => _T('subdivision:config_association_subdivision_objets'),
				'explication' => _T('subdivision:config_association_subdivision_objets_explication'),
				'exclus' => array('spip_subdivisions','spip_gis')
			)
		)
	);
	return $saisies;
}